#ifndef NUNCHUCK_H
#define NUNCHUCK_H

#include "Arduino.h"

#define NUNCHUCK_ADDRESS 0x52
extern const byte DEADZONEX;
extern const byte DEADZONEY;
extern const byte DEADZONEZ;
extern const byte DEADZONEJOYX;
extern const byte DEADZONEJOYY;
extern byte cpt,choix;
extern byte data_nunchuck[6];
extern int accelX,accelY,accelZ,accelXCentre,accelYCentre,accelZCentre;
extern int joyX,joyY,joyXCentre,joyYCentre;
extern byte boutonZ,boutonC;
extern byte vitesse;
extern byte compteur, borne;

void nunchuck_setpowerpins();
void nunchuck_init();
void nunchuck_read_data();
void nunchuck_calibrate();
void nunchuck_reinit_Z();



#endif
