#ifndef SNAKE_H
#define SNAKE_H


extern const byte NB_X_MAX;
extern const byte NB_Y_MAX;
extern const byte NB_Z_MAX;

extern const int NB_LED;
extern const byte NB_OCTETS;

extern byte direc;
extern int snake[];
extern byte startpoint;
extern int snakehead;
extern int snakesize;
extern int eat;
extern int apple;
extern byte collision;
extern int SnakeSpeed;
extern unsigned long lastMillis;
extern const byte numX;
extern const byte numY;
extern const byte numZ;

void SnakeResetHead();
void SnakeResetTail();
void SnakeNewDirectionJoystick();
void SnakeNewDirectionAccel();
void SnakeNewGame();
void SnakeNewApple();
void SnakeCheckApple();
void SnakeCheckCollision();
void SnakeSavePrevHead();
void SnakeNewHead();
void Snake();
void endGame();


#endif
