/* Projet Matrice de LED 3D
  Matthias De Bie - Pierre-Jean Petitprez
  IMA4 2013
  Jeu du Snake version 3D
  
  */

#include <Wire.h>
#include <MsTimer2.h>
#include <Arduino.h>
#include "Nunchuck.h"
#include "Snake.h"
#include "Cube.h"


//Declarations variables pour le nunchuck
const byte DEADZONEX = 30;
const byte DEADZONEY = 20;
const byte DEADZONEZ = 10;
const byte DEADZONEJOYX = 30;
const byte DEADZONEJOYY = 30;
byte cpt,choix=4;
byte data_nunchuck[6];
int accelX,accelY,accelZ,accelXCentre,accelYCentre,accelZCentre;
int joyX,joyY,joyXCentre,joyYCentre;
byte boutonZ,boutonC;

//Declarations variables pour l'affichage
const byte NB_X_MAX = 8;
const byte NB_Y_MAX = 8;
const byte NB_Z_MAX = 8;
const int NB_LED = 512;
const byte NB_OCTETS = NB_LED/8;
byte matrix[NB_OCTETS];
int inc = 0;


//Declarations variables pour le snake
const byte numX = 8;
const byte numY = 8;
const byte numZ = 8;
byte direc; //direction du snake
int snake[NB_LED];
byte startpoint = 10; // point de depart
int snakehead = 0;
int snakesize = 1; //taille du serpent : 1 LED
int eat = 0;
int apple = 0;
byte collision = 0;
int SnakeSpeed = 400;
unsigned long lastMillis = 0;


/**********************************/

void setup() {
  setup_cube();
  nunchuck_init();
  MsTimer2::set(20, interrup_aff_cube); 
  //periode de 20 ms, appel de la fonction commandant le cube
  MsTimer2::start();
  SnakeNewGame(); 
}

void loop() {
  nunchuck_read_data();
  nunchuck_reinit_Z();
  SnakeNewDirectionJoystick();
  Snake();
  delay(80);
}

